Beim Überwachen des RabbitMQ-Plug-Ins wird möglicherweise ein Fehler angezeigt.

Problem

Bei der Überwachung des RabbitMQ-Plug-Ins kann ein Fehler auftreten, wenn Sie ein Upgrade auf vRealize Operations Cloud durchführen, das über eine Telegraf-Version von 1.19 verfügt. Die folgende Meldung wird angezeigt:

getting "/api/federation-links" failed: 404 Not Found

Ursache

Die Federation-Plug-Ins im RabbitMQ-Setup sind nicht aktiviert.

Lösung

  • Aktivieren Sie die Verbund-Plug-Ins im RabbitMQ-Setup, indem Sie die folgenden Befehle in der RabbitMQ-VM ausführen:
    rabbitmq-plugins enable rabbitmq_federation
    
    rabbitmq-plugins enable rabbitmq_federation_management